##
## Copyright (c) 2016-2019 Genomics England Ltd.
##
## This file is part of PanelApp
## (see https://panelapp.genomicsengland.co.uk).
##
## Licensed to the Apache Software Foundation (ASF) under one
## or more contributor license agreements.  See the NOTICE file
## distributed with this work for additional information
## regarding copyright ownership.  The ASF licenses this file
## to you under the Apache License, Version 2.0 (the
## "License"); you may not use this file except in compliance
## with the License.  You may obtain a copy of the License at
##
##   http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing,
## software distributed under the License is distributed on an
## "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
## KIND, either express or implied.  See the License for the
## specific language governing permissions and limitations
## under the License.
##
# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-12-07 11:39
from __future__ import unicode_literals

from django.db import (
    migrations,
    models,
)


class Migration(migrations.Migration):

    dependencies = [("panels", "0033_auto_20171207_1109")]

    operations = [
        migrations.RemoveField(model_name="genepanel", name="approved"),
        migrations.RemoveField(model_name="genepanel", name="deleted"),
        migrations.RemoveField(model_name="genepanel", name="promoted"),
        migrations.AlterField(
            model_name="genepanel",
            name="status",
            field=models.CharField(
                choices=[
                    ("promoted", "promoted"),
                    ("public", "public"),
                    ("retired", "retired"),
                    ("internal", "internal"),
                    ("deleted", "deleted"),
                ],
                db_index=True,
                default="internal",
                max_length=36,
            ),
        ),
    ]
